classification
Title: Asyncio UNIX socket and SOCK_DGRAM
Type: enhancement Stage: resolved
Components: asyncio Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: qdawans, vstinner, yselivanov
Priority: normal Keywords:

Created on 2017-08-21 14:06 by qdawans, last changed 2017-11-27 23:34 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3164 merged python-dev, 2017-08-21 14:24
PR 4594 merged vstinner, 2017-11-27 22:42
Messages (3)
msg300625 - (view) Author: Quentin Dawans (qdawans) * Date: 2017-08-21 14:06
Following this discussion: https://groups.google.com/forum/#!searchin/python-tulip/datagram%7Csort:relevance/python-tulip/rpScueoGf1I/WBvEWf8vCgAJ

I added the support for AF_UNIX SOCK_DGRAM is asyncio. Lots of code is coming from the other family/type of socket already implemented.
msg305228 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2017-10-30 13:43
New changeset fe4ea9cf1ee04f5a60e4ed928d8624b95b031e18 by Yury Selivanov (Quentin Dawans) in branch 'master':
bpo-31245: Asyncio unix socket datagram (#3164)
https://github.com/python/cpython/commit/fe4ea9cf1ee04f5a60e4ed928d8624b95b031e18
msg307102 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-11-27 23:34
New changeset 28e61650b23119b68cd7943ccc01b8b9af1b4103 by Victor Stinner in branch 'master':
bpo-31245: asyncio: Fix typo, isistance => isinstance (#4594)
https://github.com/python/cpython/commit/28e61650b23119b68cd7943ccc01b8b9af1b4103
History
Date User Action Args
2017-11-27 23:34:10vstinnersetnosy: + vstinner
messages: + msg307102
2017-11-27 22:42:17vstinnersetpull_requests: + pull_request4519
2017-10-30 13:43:36yselivanovsetstatus: open -> closed
resolution: fixed
stage: resolved
2017-10-30 13:43:08yselivanovsetmessages: + msg305228
2017-08-21 14:24:23python-devsetpull_requests: + pull_request3200
2017-08-21 14:06:59qdawanscreate